Skip to main content
POST
Move a Step

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Step ID.

Body

application/json
destination_lesson_id
string
required

Destination lesson ID. You need edit access to both programs. The step goes to the end of the destination lesson. If it is already in the destination lesson, the API returns it unchanged.

Required string length: 1 - 255

Response

Successful request.

id
string
required
lesson_id
string
required
title
string
required
position
integer
required
action_type
enum<string>
required
Available options:
basic,
input_text,
textarea,
link,
quiz,
post,
topic,
milestone,
file_upload,
form
is_published
boolean
required
is_optional
boolean
required
min_duration
integer | null
required
max_duration
integer | null
required
description
string
form_description
string
reviewer_ids
string[]
unlock_badge_id
string | null
miscellaneous_permanent_action_type
boolean | null
miscellaneous_input_text_action_type
string | null
miscellaneous_textarea_action_type
string | null
miscellaneous_post_action_type
string | null
miscellaneous_topic_action_type
string | null
miscellaneous_topic_title_option
string | null
miscellaneous_milestone_requires_review_option
boolean
miscellaneous_milestone_action_type
string | null
miscellaneous_milestone_text_proof_label_option
string | null
optional_topic_post_body_template
string
miscellaneous_milestone_triggers_testimonial_toggle_option
boolean | null
miscellaneous_milestone_triggers_testimonial_text_option
string | null
miscellaneous_accept_rich_text_option
boolean | null
miscellaneous_title_form
string | null
miscellaneous_display_type_form
string | null
quiz
object
fields
object[]